:root {
 --left-nav-width: 74px;
}

html {
    font-size: 10px;
}

body {
    font-family: "Inter",Helvetica,Arial,sans-serif;
    font-size: 14px;
    color: #69707d;
    padding: 0;
    margin: 0
}

a, a:visited, a:focus {
    text-decoration: none;
    color: #007aff
}

a:hover {
    cursor:pointer;
}

#single-spa-application\:\@papertrail\/web3-legacy {
    height: 100%;
}

#__single_spa_angular_1 {
    height: 100%;
}

#single-spa-application\:\@papertrail\/web3-login{
    height: 100vh;
}

.splash-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.loading-container {
    background-color: #ffffff;
}

.error-container {
    max-width: 800px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    line-height: 1.5em;
}

.loading-container .logo {
    width: 100%;
    height: 32px;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: auto 32px;
    background-image: url(https://cdn.papertrail.io/images/joined-logo.svg);
}

.loading-container p {
    margin: 8px;
}

.loading-container .loader {
    border: 4px solid #007aff;
    border-right: 4px solid #ffffff;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.error-container .logo {
    width: 100%;
    height: 32px;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: left center;
    background-size: auto 24px;
    background-image: url(https://cdn.papertrail.io/images/logo.png);
}

.error-container h2 {
    font-weight: 600;
    margin-bottom: 4px;
    margin-top: 40px;
}

.error-container button {
    background-color: #007aff;
    color: #fff;
    width: 200px;
    border-radius: 4px;
    border: 0;
    padding: 6px 16px;
    line-height: 1.75;
    font-size: 1rem;
}

.error-container button:hover {
    background-color: #1d6aca;
}

.loading-container p {
    text-align: center;
    color: #69707d;
}

#single-spa-application\:\@papertrail\/web3-nav {
    height: 100vh;
}

#web3-layout {
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: row;
}

#web3-content {
    display: flex;
    flex-direction: column;
    height: 100vh;
    flex-grow: 1;
    flex-shrink: 1;
    overflow: auto;
}

#web3-content > div:nth-child(2) {
    flex-grow: 1;
    overflow-y: hidden;
    /*
    Removed so that card view is full width. Can't remember why we needed this, so leaving as comment for now
    max-width: calc(100vw - var(--left-nav-width))
    */
}
